StartupEvents.registry('item',e => {
    //料理乐事新增菜品
    e.create('cuisinedelight:high_meat_pasta',"cuisinedelight:platefood")
    .texture('kubejs:item/high_meat_pasta2')
    .displayName('上等肉酱意面')
    .tooltip('不吃牛肉？这美味奢华的牛肉和火腿你又如何抵挡了！')
    .containerItem('cuisinedelight:plate')
    .rarity('rare')
    .food(food => {
      food
        .hunger(9)
        .saturation(4)
        .eaten(ctx => {
          ctx.player.tell(Text.gold('好劲呐！！！'))
        })
    })
  e.create('cuisinedelight:grapes_chicken_cubes',"cuisinedelight:platefood")
    .texture('kubejs:item/grapes_chicken_cubes2')
    .displayName('葡萄鸡丁')
    .tooltip('高个子从远方带回的食谱，听说是赤红之王美团鸽子最喜爱的吃食')
    .containerItem('cuisinedelight:plate')
    .rarity('epic')
    .food(food => {
      food
        .hunger(9)
        .saturation(4)
        .eaten(ctx => {
          ctx.player.tell(Text.gold('美团鸽子洋溢幸福的笑容犹在眼前，化为鸡丁的美味精华'))
        })
    })
  e.create('cuisinedelight:high_meat_with_seafood',"cuisinedelight:platefood")
    .texture('kubejs:item/high_meat_with_seafood')
    .displayName('轰炸长崎')
    .tooltip('更喜岷山千里雪，三军过后尽开颜')
    .containerItem('cuisinedelight:plate')
    .rarity('rare')
    .food(food => {
      food
        .hunger(9)
        .saturation(4)
        .eaten(ctx => {
          ctx.player.tell(Text.gold('谁说这里没有创造性的厨师？高个子的厨艺已臻化境！'))
        })
    })
  e.create('cuisinedelight:high_meat_with_vegetables',"cuisinedelight:platefood")
    .texture('kubejs:item/high_meat_with_vegetables')
    .displayName('一红二白')
    .tooltip('怎么能少的了宣传大使的彩蛋呢？')
    .containerItem('cuisinedelight:plate')
    .rarity('rare')
    .food(food => {
      food
        .hunger(9)
        .saturation(4)
        .eaten(ctx => {
          ctx.player.tell(Text.gold('劝君更尽一口肉，高尔夫场显身手'))
        })
    })
  e.create('cuisinedelight:high_mixed_pasta',"cuisinedelight:platefood")
    .texture('kubejs:item/high_mixed_pasta')
    .displayName('龙腾肉跃')
    .tooltip('小小的neta一下，莫要见怪~')
    .containerItem('cuisinedelight:plate')
    .rarity('rare')
    .food(food => {
      food
        .hunger(9)
        .saturation(4)
        .eaten(ctx => {
          ctx.player.tell(Text.gold('脑海中浮现一句话：而不是这个窗口的截图'))
        })
    })
  e.create('cuisinedelight:high_meat_platter',"cuisinedelight:platefood")
    .texture('kubejs:item/high_meat_platter')
    .displayName('进口高品质嫩滑法式焗煎雪花小炒肉')
    .tooltip('雪花小炒肉~一百八一份~')
    .containerItem('cuisinedelight:plate')
    .rarity('rare')
    .food(food => {
      food
        .hunger(9)
        .saturation(4)
        .eaten(ctx => {
          ctx.player.tell(Text.gold('不还是小炒肉吗，搞得花里胡哨'))
        })
    })
  e.create('cuisinedelight:high_fried_meat_and_melon',"cuisinedelight:platefood")
    .texture('kubejs:item/high_fried_meat_and_melon')
    .displayName('西瓜烩肉')
    .tooltip('也就多了些蛋白质')
    .containerItem('cuisinedelight:plate')
    .rarity('rare')
    .food(food => {
      food
        .hunger(9)
        .saturation(4)
        .eaten(ctx => {
          ctx.player.tell(Text.gold('新奇的搭配，新奇的口味'))
        })
    })
  e.create('cuisinedelight:high_scrambled_egg_and_tomato',"cuisinedelight:platefood")
    .texture('kubejs:item/high_scrambled_egg_and_tomato')
    .displayName('赤红和平鸽')
    .tooltip('赤红之主美团鸽子的家乡美食')
    .containerItem('cuisinedelight:plate')
    .rarity('rare')
    .food(food => {
      food
        .hunger(9)
        .saturation(4)
        .eaten(ctx => {
          ctx.player.tell(Text.gold('美团鸽子洋溢幸福的笑容犹在眼前，化为鸡蛋的美味精华'))
        })
    })
})